import { name } from './package.json';

export default {
  history: { type: 'hash' },
  base: name,
  publicPath: '/classInfo/',
  outputPath: './dist/classInfo',
  mountElementId: 'classInfo',
  qiankun: {
    slave: {},
  },
  proxy: {
    '/IoTCenter': {
      // "target": "http://222.168.49.126:59996",
      //"target": "http://10.10.22.26:9976",
      target: 'http://221.194.113.154:8100',
      changeOrigin: true,
      secure: false
    },
    '/platform': {
      // "target": "http://222.168.49.126:59996",
      //"target": "http://10.10.22.26:9976",
      target: 'http://221.194.113.154:8100',
      changeOrigin: true,
      secure: false
    },
  },
  plugins: [
    require.resolve('../../node_modules/@umijs/plugin-dva/lib'),
    require.resolve('../../node_modules/@umijs/plugin-model/lib'),
    require.resolve('../../node_modules/@umijs/plugin-antd/lib'),
    require.resolve('../../node_modules/@umijs/plugin-qiankun/lib'),
  ],
};
