import request from './request';


export async function queryTags() {
  return request('/api/tags');
}




// 单个教室设备信息
export async function getClassInfo(params: { [key: string]: string }) {
  return request(`/IoTCenter/api/v1/node/getNode?number=${params.number}`, {
    method: 'post',
  });
}

//开关设备方法
export async function execApi(params: { [key: string]: string }) {
  console.log('params',params);
  return request(`/IoTCenter/api/v1/api/execApi`, {
    method: 'post',
    data: params,
  });
}

//场景操作方法
export async function execScene(id: string) {
  return request(`/IoTCenter/api/v1/api/execScene`, {
    method: 'post',
    data:id
  });
}

