import { Card, Radio } from 'antd';

import { FormattedMessage } from 'umi';
import { RadioChangeEvent } from 'antd/es/radio';
import React from 'react';
import { VisitDataType } from '../data.d';
import { Pie } from './Charts';
import Yuan from '../utils/Yuan';
import styles from '../style.less';



const ProportionSales = ({
  loading,
  equItem
}: {
  loading: boolean;
  equItem:[]
}) => (
  <Card
    loading={loading}
    className={styles.salesCard}
    bordered={false}
    title="设备类型"
    style={{
      height: '100%',
    }}
  >
    <div>
      <Pie
        hasLegend
        
        // total={() => <div>总设备数{equItem.reduce((pre, now) => now.y + pre, 0)}</div>}
        data={equItem}
        valueFormat={(value) => <div>{value}</div>}
        height={313}
        lineWidth={4}
      />
    </div>
  </Card>
);

export default ProportionSales;
