import { Card, Radio } from 'antd';

import { FormattedMessage } from 'umi';
import { RadioChangeEvent } from 'antd/es/radio';
import React from 'react';
import { VisitDataType } from '../data.d';
import { Pie } from '../components/Charts';
import Yuan from '../utils/Yuan';
import styles from '../style.less';



const EquPropTion = ({
  loading,
  equNums
}: {
  loading: boolean;
  equNums:[]
}) => (
  <Card
    loading={loading}
    className={styles.salesCard}
    bordered={false}
    title="设备状态"
    style={{
        height: '250',
    }}
  >
    <div>
      <Pie
        hasLegend
        
        // total={() => <div>总设备数{equItem.reduce((pre, now) => now.y + pre, 0)}</div>}
        data={equNums}
        valueFormat={(value) => <div>{value}</div>}
        height={200}
        lineWidth={3}
      />
    </div>
  </Card>
);

export default EquPropTion;
