import { Link, FormattedMessage } from 'umi';
import { Result, Button } from 'antd';
import React from 'react';

export default () => (
  <Result
    status="404"
    title="404"
    style={{
      background: 'none',
    }}
    subTitle={<FormattedMessage
      id="exception.pageNotExist"
      defaultMessage="404"
    />}
    extra={
      <Link to="/">
        <Button type="primary">
          <FormattedMessage
            id="exception.backhome"
            defaultMessage="返回首页"
          />
        </Button>
      </Link>
    }
  />
);
