import { getLocale, setLocale, connect } from 'umi';

import React, { useEffect } from 'react';
//import { ConnectState } from '@/models/connect';

const DemoDispatch = (props: any) => {
  const { dispatch } = props;
  console.log('props', props);
  useEffect(() => {
    if (dispatch) {
      dispatch({
        type: 'demo/fetch',
        payload: 'fbee:0002:02',
      });
    }
  }, []);
  return <>Hi DemoDispatch !!</>;
};

/* 需要connect 确保props 中提取 dispatch */
export default connect(() => {})(DemoDispatch);
/*
// 绑定 State 到 View
  export default connect(({ user }: ConnectState) => ({
    currentUser: user.currentUser,
  }))(DemoDispatch);
*/
