


import { Card, List, Radio, Typography } from 'antd';

import { FormattedMessage } from 'umi';
import { RadioChangeEvent } from 'antd/es/radio';
import React from 'react';
import { VisitDataType } from '../data.d';
import Curved from '../components/Charts/Curved';
import Yuan from '../utils/Yuan';
import styles from '../style.less';

const WarningPropTion = (props: { messages: any; }) => {
  const {messages} = props;
  return (
  <Card
    className={styles.salesCard}
    bordered={false}
    title="警告信息"
    style={{
        height: '537px',
    }}
  >
    <List
      bordered
      dataSource={messages}
      renderItem={(item) => (
        <List.Item>
          <Typography.Text >[ {item.name} ]</Typography.Text> {item.title} <div style={{color:'#CCCCCC'}}>{item.time}</div>
        </List.Item>
      )}
      style={{height:'415px', overflowY: 'scroll'}}
    />
  </Card>
)
};

export default WarningPropTion;
