import request from 'umi-request';
export interface ApiParamsType {
  connectionId: string;
  number: string;
  method: string;
}

export async function getProduct(number: string) {
  return request(`/IoTCenter/api/v1/product/getProduct?number=${number}`, {
    method: 'post',
  });
}

export async function execApi(params: ApiParamsType) {
  console.log('params',params);
  return request(`/IoTCenter/api/v1/api/execApi`, {
    method: 'post',
    data: params,
  });
}

export async function execScene(id: string) {
  return request(`/IoTCenter/api/v1/api/execScene`, {
    method: 'post',
  });
}
